Cross-chain
Cross-chain messages and actions.
Cross transactions actions
GET
https://api.routescan.io/v2/network/{networkId}/evm/cross-transactions/actionsGET
ecosystemstringoptional
includedChainIdsarray<string>optional
excludedChainIdsarray<string>optional
https://api.routescan.io/v2/network/testnet/evm/cross-transactions/actions?chainId=43114&sort=desc&limit=25&apikey=YourApiKeyToken1curl 'https://api.routescan.io/v2/network/testnet/evm/cross-transactions/actions?chainId=43114&sort=desc&limit=25' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: {
3 id: string;
4 type: "superchainWETH" | "superchainTokenBridge" | "opL1StandardBridge" | "opDeposited" | "dexalotBridge" | "taikoETHTransfer" | "taikoERC20Vault" | "taikoERC721Vault" | "omniBridge" | "avalancheBTCBridge" | "avalancheETHBridge" | "synapse" | "genericTransfer" | "ICTT" | "OFT" | "ambOmnibridge" | "CCTPTokenMessenger" | "nearIntent" | "superswaps" | "hyperlane" | "eil" | "fAssetsMint" | "fAssetsDirectMint" | "fAssetsRedeem";
5 status: "completed" | "pending" | "failed" | "ready_to_prove";
6 srcChainId: string;
7 srcTimestamp: string; // date-time
8 srcTxHash?: string;
9 srcBlockNumber?: string;
10 srcBlockHash?: string;
11 srcGasLimit?: string;
12 dstChainId: string;
13 dstTimestamp: string; // date-time
14 dstTxHash?: string;
15 dstBlockNumber?: string;
16 dstBlockHash?: string;
17 dstGasLimit?: string;
18 from?: string; // evm-address
19 to?: string; // evm-address
20 crossMessageId?: string;
21 actionType?: "GasGasBridge" | "ERC20GasBridge" | "GasERC20Bridge" | "ERC20ERC20Bridge" | "ERC721ERC721Bridge" | "VoidERC20Bridge" | "ERC20VoidBridge" | "ERC1155ERC1155Bridge" | "ArbitraryFunction";
22 data: {
23 srcToken?: {
24 chainId: string;
25 blockchainId?: string;
26 ecosystems?: string[];
27 address: string;
28 name?: string;
29 symbol?: string;
30 decimals?: number;
31 totalSupply?: string; // bigint
32 price?: string; // bigint
33 priceChange1h?: string; // bigint
34 priceChange24h?: string; // bigint
35 recentMarketPrices?: Record<string, unknown>;
36 marketCap?: string; // bigint
37 createdAt?: string; // date-time
38 txHash?: string;
39 detail?: {
40 alert?: string;
41 name?: string;
42 alias?: string;
43 unlock_date?: string; // date-time
44 description?: string;
45 link?: string;
46 icon?: string;
47 iconUrls?: {
48 32?: string;
49 64?: string;
50 256?: string;
51 1024?: string;
52 };
53 type?: string;
54 symbol?: string;
55 reputation?: Record<string, unknown>;
56 bridge?: string;
57 bridged_token?: string;
58 blacklist?: boolean;
59 similar?: string[];
60 similar_token?: string[];
61 supertype?: string;
62 isBridge?: boolean;
63 isContract?: boolean;
64 bridged_chain?: {
65 name?: string;
66 logo?: string;
67 chain_id_evm?: string;
68 external_url?: string;
69 };
70 burnAddresses?: string[];
71 lockAddresses?: string[];
72 bridgeData?: {
73 url?: string;
74 otherSideUrl?: string;
75 };
76 url?: string;
77 social_profile?: {
78 items: Record<string, unknown>[];
79 };
80 dapp?: {
81 alias?: string;
82 url?: string;
83 description?: string;
84 icon?: string;
85 };
86 owner?: string;
87 tags?: string[];
88 };
89 transfers?: {
90 last24h?: number;
91 last48h?: number;
92 last72h?: number;
93 };
94 holders?: number;
95 market?: {
96 totalSupply?: number;
97 circulatingSupply?: number;
98 burned?: number;
99 price?: number;
100 marketCap?: number;
101 minPriceLast24h?: number;
102 maxPriceLast24h?: number;
103 };
104 };
105 dstToken?: {
106 chainId: string;
107 blockchainId?: string;
108 ecosystems?: string[];
109 address: string;
110 name?: string;
111 symbol?: string;
112 decimals?: number;
113 totalSupply?: string; // bigint
114 price?: string; // bigint
115 priceChange1h?: string; // bigint
116 priceChange24h?: string; // bigint
117 recentMarketPrices?: Record<string, unknown>;
118 marketCap?: string; // bigint
119 createdAt?: string; // date-time
120 txHash?: string;
121 detail?: {
122 alert?: string;
123 name?: string;
124 alias?: string;
125 unlock_date?: string; // date-time
126 description?: string;
127 link?: string;
128 icon?: string;
129 iconUrls?: {
130 32?: string;
131 64?: string;
132 256?: string;
133 1024?: string;
134 };
135 type?: string;
136 symbol?: string;
137 reputation?: Record<string, unknown>;
138 bridge?: string;
139 bridged_token?: string;
140 blacklist?: boolean;
141 similar?: string[];
142 similar_token?: string[];
143 supertype?: string;
144 isBridge?: boolean;
145 isContract?: boolean;
146 bridged_chain?: {
147 name?: string;
148 logo?: string;
149 chain_id_evm?: string;
150 external_url?: string;
151 };
152 burnAddresses?: string[];
153 lockAddresses?: string[];
154 bridgeData?: {
155 url?: string;
156 otherSideUrl?: string;
157 };
158 url?: string;
159 social_profile?: {
160 items: Record<string, unknown>[];
161 };
162 dapp?: {
163 alias?: string;
164 url?: string;
165 description?: string;
166 icon?: string;
167 };
168 owner?: string;
169 tags?: string[];
170 };
171 transfers?: {
172 last24h?: number;
173 last48h?: number;
174 last72h?: number;
175 };
176 holders?: number;
177 market?: {
178 totalSupply?: number;
179 circulatingSupply?: number;
180 burned?: number;
181 price?: number;
182 marketCap?: number;
183 minPriceLast24h?: number;
184 maxPriceLast24h?: number;
185 };
186 };
187 srcAmount?: string;
188 dstAmount?: string;
189 entrypoint?: {
190 chainId: string;
191 blockchainId?: string;
192 ecosystems?: string[];
193 address: string;
194 name?: string;
195 symbol?: string;
196 decimals?: number;
197 totalSupply?: string; // bigint
198 price?: string; // bigint
199 priceChange1h?: string; // bigint
200 priceChange24h?: string; // bigint
201 recentMarketPrices?: Record<string, unknown>;
202 marketCap?: string; // bigint
203 createdAt?: string; // date-time
204 txHash?: string;
205 detail?: {
206 alert?: string;
207 name?: string;
208 alias?: string;
209 unlock_date?: string; // date-time
210 description?: string;
211 link?: string;
212 icon?: string;
213 iconUrls?: {
214 32?: string;
215 64?: string;
216 256?: string;
217 1024?: string;
218 };
219 type?: string;
220 symbol?: string;
221 reputation?: Record<string, unknown>;
222 bridge?: string;
223 bridged_token?: string;
224 blacklist?: boolean;
225 similar?: string[];
226 similar_token?: string[];
227 supertype?: string;
228 isBridge?: boolean;
229 isContract?: boolean;
230 bridged_chain?: {
231 name?: string;
232 logo?: string;
233 chain_id_evm?: string;
234 external_url?: string;
235 };
236 burnAddresses?: string[];
237 lockAddresses?: string[];
238 bridgeData?: {
239 url?: string;
240 otherSideUrl?: string;
241 };
242 url?: string;
243 social_profile?: {
244 items: Record<string, unknown>[];
245 };
246 dapp?: {
247 alias?: string;
248 url?: string;
249 description?: string;
250 icon?: string;
251 };
252 owner?: string;
253 tags?: string[];
254 };
255 transfers?: {
256 last24h?: number;
257 last48h?: number;
258 last72h?: number;
259 };
260 holders?: number;
261 market?: {
262 totalSupply?: number;
263 circulatingSupply?: number;
264 burned?: number;
265 price?: number;
266 marketCap?: number;
267 minPriceLast24h?: number;
268 maxPriceLast24h?: number;
269 };
270 };
271 route?: "tag" | "memo";
272 destinationTag?: string;
273 smartAccount?: boolean;
274 feeUBA?: string;
275 agentVault?: string;
276 requestId?: string;
277 crtId?: string;
278 };
279 }[];
280 count?: number;
281 countType?: "exact" | "lowerBound" | "approx";
282 link: {
283 next?: string;
284 nextToken?: string;
285 prev?: string;
286 prevToken?: string;
287 };
288}
Responses
200Default ResponseCross transactions actions by id
GET
https://api.routescan.io/v2/network/{networkId}/evm/cross-transactions/actions/{id}GET
https://api.routescan.io/v2/network/testnet/evm/cross-transactions/actions/2d407ed579925533abfb90569a5f68febb77e82eb75cf910680e94a6cbcc441b?apikey=YourApiKeyToken1curl 'https://api.routescan.io/v2/network/testnet/evm/cross-transactions/actions/2d407ed579925533abfb90569a5f68febb77e82eb75cf910680e94a6cbcc441b' \
2 -H 'apikey: YourApiKeyToken'
1{
2 id: string;
3 type: "superchainWETH" | "superchainTokenBridge" | "opL1StandardBridge" | "opDeposited" | "dexalotBridge" | "taikoETHTransfer" | "taikoERC20Vault" | "taikoERC721Vault" | "omniBridge" | "avalancheBTCBridge" | "avalancheETHBridge" | "synapse" | "genericTransfer" | "ICTT" | "OFT" | "ambOmnibridge" | "CCTPTokenMessenger" | "nearIntent" | "superswaps" | "hyperlane" | "eil" | "fAssetsMint" | "fAssetsDirectMint" | "fAssetsRedeem";
4 status: "completed" | "pending" | "failed" | "ready_to_prove";
5 srcChainId: string;
6 srcTimestamp: string; // date-time
7 srcTxHash?: string;
8 srcBlockNumber?: string;
9 srcBlockHash?: string;
10 srcGasLimit?: string;
11 dstChainId: string;
12 dstTimestamp: string; // date-time
13 dstTxHash?: string;
14 dstBlockNumber?: string;
15 dstBlockHash?: string;
16 dstGasLimit?: string;
17 from?: string; // evm-address
18 to?: string; // evm-address
19 crossMessageId?: string;
20 actionType?: "GasGasBridge" | "ERC20GasBridge" | "GasERC20Bridge" | "ERC20ERC20Bridge" | "ERC721ERC721Bridge" | "VoidERC20Bridge" | "ERC20VoidBridge" | "ERC1155ERC1155Bridge" | "ArbitraryFunction";
21 data: {
22 srcToken?: {
23 chainId: string;
24 blockchainId?: string;
25 ecosystems?: string[];
26 address: string;
27 name?: string;
28 symbol?: string;
29 decimals?: number;
30 totalSupply?: string; // bigint
31 price?: string; // bigint
32 priceChange1h?: string; // bigint
33 priceChange24h?: string; // bigint
34 recentMarketPrices?: Record<string, unknown>;
35 marketCap?: string; // bigint
36 createdAt?: string; // date-time
37 txHash?: string;
38 detail?: {
39 alert?: string;
40 name?: string;
41 alias?: string;
42 unlock_date?: string; // date-time
43 description?: string;
44 link?: string;
45 icon?: string;
46 iconUrls?: {
47 32?: string;
48 64?: string;
49 256?: string;
50 1024?: string;
51 };
52 type?: string;
53 symbol?: string;
54 reputation?: Record<string, unknown>;
55 bridge?: string;
56 bridged_token?: string;
57 blacklist?: boolean;
58 similar?: string[];
59 similar_token?: string[];
60 supertype?: string;
61 isBridge?: boolean;
62 isContract?: boolean;
63 bridged_chain?: {
64 name?: string;
65 logo?: string;
66 chain_id_evm?: string;
67 external_url?: string;
68 };
69 burnAddresses?: string[];
70 lockAddresses?: string[];
71 bridgeData?: {
72 url?: string;
73 otherSideUrl?: string;
74 };
75 url?: string;
76 social_profile?: {
77 items: {
78 type: string;
79 value: string;
80 title?: string;
81 }[];
82 };
83 dapp?: {
84 alias?: string;
85 url?: string;
86 description?: string;
87 icon?: string;
88 };
89 owner?: string;
90 tags?: string[];
91 };
92 transfers?: {
93 last24h?: number;
94 last48h?: number;
95 last72h?: number;
96 };
97 holders?: number;
98 market?: {
99 totalSupply?: number;
100 circulatingSupply?: number;
101 burned?: number;
102 price?: number;
103 marketCap?: number;
104 minPriceLast24h?: number;
105 maxPriceLast24h?: number;
106 };
107 };
108 dstToken?: {
109 chainId: string;
110 blockchainId?: string;
111 ecosystems?: string[];
112 address: string;
113 name?: string;
114 symbol?: string;
115 decimals?: number;
116 totalSupply?: string; // bigint
117 price?: string; // bigint
118 priceChange1h?: string; // bigint
119 priceChange24h?: string; // bigint
120 recentMarketPrices?: Record<string, unknown>;
121 marketCap?: string; // bigint
122 createdAt?: string; // date-time
123 txHash?: string;
124 detail?: {
125 alert?: string;
126 name?: string;
127 alias?: string;
128 unlock_date?: string; // date-time
129 description?: string;
130 link?: string;
131 icon?: string;
132 iconUrls?: {
133 32?: string;
134 64?: string;
135 256?: string;
136 1024?: string;
137 };
138 type?: string;
139 symbol?: string;
140 reputation?: Record<string, unknown>;
141 bridge?: string;
142 bridged_token?: string;
143 blacklist?: boolean;
144 similar?: string[];
145 similar_token?: string[];
146 supertype?: string;
147 isBridge?: boolean;
148 isContract?: boolean;
149 bridged_chain?: {
150 name?: string;
151 logo?: string;
152 chain_id_evm?: string;
153 external_url?: string;
154 };
155 burnAddresses?: string[];
156 lockAddresses?: string[];
157 bridgeData?: {
158 url?: string;
159 otherSideUrl?: string;
160 };
161 url?: string;
162 social_profile?: {
163 items: {
164 type: string;
165 value: string;
166 title?: string;
167 }[];
168 };
169 dapp?: {
170 alias?: string;
171 url?: string;
172 description?: string;
173 icon?: string;
174 };
175 owner?: string;
176 tags?: string[];
177 };
178 transfers?: {
179 last24h?: number;
180 last48h?: number;
181 last72h?: number;
182 };
183 holders?: number;
184 market?: {
185 totalSupply?: number;
186 circulatingSupply?: number;
187 burned?: number;
188 price?: number;
189 marketCap?: number;
190 minPriceLast24h?: number;
191 maxPriceLast24h?: number;
192 };
193 };
194 srcAmount?: string;
195 dstAmount?: string;
196 entrypoint?: {
197 chainId: string;
198 blockchainId?: string;
199 ecosystems?: string[];
200 address: string;
201 name?: string;
202 symbol?: string;
203 decimals?: number;
204 totalSupply?: string; // bigint
205 price?: string; // bigint
206 priceChange1h?: string; // bigint
207 priceChange24h?: string; // bigint
208 recentMarketPrices?: Record<string, unknown>;
209 marketCap?: string; // bigint
210 createdAt?: string; // date-time
211 txHash?: string;
212 detail?: {
213 alert?: string;
214 name?: string;
215 alias?: string;
216 unlock_date?: string; // date-time
217 description?: string;
218 link?: string;
219 icon?: string;
220 iconUrls?: {
221 32?: string;
222 64?: string;
223 256?: string;
224 1024?: string;
225 };
226 type?: string;
227 symbol?: string;
228 reputation?: Record<string, unknown>;
229 bridge?: string;
230 bridged_token?: string;
231 blacklist?: boolean;
232 similar?: string[];
233 similar_token?: string[];
234 supertype?: string;
235 isBridge?: boolean;
236 isContract?: boolean;
237 bridged_chain?: {
238 name?: string;
239 logo?: string;
240 chain_id_evm?: string;
241 external_url?: string;
242 };
243 burnAddresses?: string[];
244 lockAddresses?: string[];
245 bridgeData?: {
246 url?: string;
247 otherSideUrl?: string;
248 };
249 url?: string;
250 social_profile?: {
251 items: {
252 type: string;
253 value: string;
254 title?: string;
255 }[];
256 };
257 dapp?: {
258 alias?: string;
259 url?: string;
260 description?: string;
261 icon?: string;
262 };
263 owner?: string;
264 tags?: string[];
265 };
266 transfers?: {
267 last24h?: number;
268 last48h?: number;
269 last72h?: number;
270 };
271 holders?: number;
272 market?: {
273 totalSupply?: number;
274 circulatingSupply?: number;
275 burned?: number;
276 price?: number;
277 marketCap?: number;
278 minPriceLast24h?: number;
279 maxPriceLast24h?: number;
280 };
281 };
282 route?: "tag" | "memo";
283 destinationTag?: string;
284 smartAccount?: boolean;
285 feeUBA?: string;
286 agentVault?: string;
287 requestId?: string;
288 crtId?: string;
289 };
290}
Responses
200Default ResponseCross transactions messages
GET
https://api.routescan.io/v2/network/{networkId}/evm/cross-transactions/messagesGET
ecosystemstringoptional
includedChainIdsarray<string>optional
excludedChainIdsarray<string>optional
https://api.routescan.io/v2/network/testnet/evm/cross-transactions/messages?chainId=43114&sort=desc&limit=25&apikey=YourApiKeyToken1curl 'https://api.routescan.io/v2/network/testnet/evm/cross-transactions/messages?chainId=43114&sort=desc&limit=25' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: {
3 id: string;
4 type: "opStackPreBedrockTx" | "opStackBedrockTx" | "teleporterTx" | "omni" | "opSuperchainInterop" | "taiko" | "layerZero" | "amb" | "CCTP" | "hyperlane";
5 status: "completed" | "pending" | "failed" | "ready_to_prove";
6 srcChainId: string;
7 srcTimestamp: string; // date-time
8 srcTxHash?: string;
9 srcBlockNumber?: string;
10 srcBlockHash?: string;
11 srcGasLimit?: string;
12 dstChainId: string;
13 dstTimestamp: string; // date-time
14 dstTxHash?: string;
15 dstBlockNumber?: string;
16 dstBlockHash?: string;
17 dstGasLimit?: string;
18 from?: string; // evm-address
19 to?: string; // evm-address
20 data: Record<string, unknown>;
21 }[];
22 count?: number;
23 countType?: "exact" | "lowerBound" | "approx";
24 link: {
25 next?: string;
26 nextToken?: string;
27 prev?: string;
28 prevToken?: string;
29 };
30}
Responses
200Default ResponseCross transactions messages by id
GET
https://api.routescan.io/v2/network/{networkId}/evm/cross-transactions/messages/{id}GET
https://api.routescan.io/v2/network/testnet/evm/cross-transactions/messages/69fe2ca738b055bbb2a86f08748ddf9b686c82120e965c53e5ea56aea674dc57?apikey=YourApiKeyToken1curl 'https://api.routescan.io/v2/network/testnet/evm/cross-transactions/messages/69fe2ca738b055bbb2a86f08748ddf9b686c82120e965c53e5ea56aea674dc57' \
2 -H 'apikey: YourApiKeyToken'
1{
2 id: string;
3 type: "opStackPreBedrockTx" | "opStackBedrockTx" | "teleporterTx" | "omni" | "opSuperchainInterop" | "taiko" | "layerZero" | "amb" | "CCTP" | "hyperlane";
4 status: "completed" | "pending" | "failed" | "ready_to_prove";
5 srcChainId: string;
6 srcTimestamp: string; // date-time
7 srcTxHash?: string;
8 srcBlockNumber?: string;
9 srcBlockHash?: string;
10 srcGasLimit?: string;
11 dstChainId: string;
12 dstTimestamp: string; // date-time
13 dstTxHash?: string;
14 dstBlockNumber?: string;
15 dstBlockHash?: string;
16 dstGasLimit?: string;
17 from?: string; // evm-address
18 to?: string; // evm-address
19 data: Record<string, unknown>;
20}
Responses
200Default Response